Bedømmelse: 1 ud af 5 stjerner

v1.8.1 does not block Ads on Firefox 8 with compatibility check disabled. Also the "Buy" popups are too frequent. I think its time to move back to ABP.

Denne anmeldelse er af en tidligere version af tilføjelsen (  Denne bruger har andre anmeldelser af denne tilføjelse.

v1.8.1 isn't compatible with Firefox 8. Try 1.8.2beta1 instead - .As for "Buy" popup, could you visit the with AdBan switched on and send a user id from this page to ? This way the popup could be suppressed for you, since you started using AdBan before June 2011.